/// SPDX-License-Identifier: AGPL-3.0-or-later
// ignore_for_file: file_names

import 'dart:typed_data' show Uint8List;

import 'package:freezed_annotation/freezed_annotation.dart';

/// SPDX-License-Identifier: AGPL-3.0-or-later
class Uint8ListConverter implements JsonConverter<Uint8List?, List<int>?> {
  const Uint8ListConverter();

  @override
  Uint8List? fromJson(List<int>? json) {
    return json == null ? null : Uint8List.fromList(json);
  }

  @override
  List<int>? toJson(Uint8List? object) {
    return object?.toList();
  }
}
